#-----------------------------------------------------------------#
# Refining the conditions for sympatric ecological speciation     #
# (c) F. Debarre, 2012                                            #
# data: Thibert-Plante and Hendry, 2011, JEB 24(10):2186--2196.   #
#-----------------------------------------------------------------#

# These files allow you to redraw all the figures present in my manuscript... but some require TPH's data file (rep09.RData), in the 'data' folder. 
# However it is still possible to look at the code and see which analyses I made.

I.have.the.data <- TRUE;	
if(I.have.the.data==FALSE){cat('\nSince the TPH data file is missing, the figures with their data cannot be redrawn.
But you can always look at the scripts to see how I proceed.\n\n')}
	# Change to TRUE if rep09.RData is in the data folder

## DRAW THE FIGURES
if(I.have.the.data){
	# Figures based on TPH's data
cat('\n########## Plotting figure 3A... ########## \n\n')
	source('fig3A.R');
cat('\n########## done ########## \n')

cat('\n########## Plotting figure 3B... ########## \n\n')
	source('fig3B.R');
cat('\n########## done ########## \n')

cat('\n########## Plotting figure S2... ########## \n\n')
	source('figS2.R');
cat('\n########## done ########## \n')

cat('\n########## Plotting figure S3ABC... ########## \n\n')
	source('figS3ABC.R');
cat('\n########## done ########## \n')
}

# Other figures
cat('\n########## Plotting figure 1A... ########## \n\n')
source('fig1A.R')
cat('\n########## done ########## \n')

cat('\n########## Plotting figure 1B-G... ########## \n\n')
source('fig1B-G.R')
cat('\n########## done ########## \n')

cat('\n########## Plotting figure 2... ########## \n\n')
source('fig2.R')
cat('\n########## done ########## \n')

cat('\n########## Plotting figure S1... ########## \n\n')
source('figS1.R')
cat('\n########## done ########## \n')

cat('\n########## Plotting figure S4... ########## \n\n')
cat('  This may take a long time! Change "pts" to a lower value to speed it up\n')
source('figS4.R')
cat('\n########## done ########## \n')
