# Clear the memory
rm(list=ls())
# Close all figure windows
for(i in dev.list())dev.off()

## INITIALIZATIONS

# Resources function R(x)
ResFunc <- function(x, sR, dtheta, q){
	out <- q*exp(-x^2/(2*sR^2)) + (1-q)*exp(-(x-dtheta)^2/(2*sR^2))
}

# Parameters 
sigma_R <- 1;	# \sigma_R
dttlist <- c(0.6,1.8, 5);	# \Delta \theta values
xGs <- c(FALSE, TRUE, TRUE)	# Axes

# Function for plotting the distribution of resources
ResPlot <- function(dtt, xG=TRUE){
	# Extrema
	dx <- 4/sigma_R;
	# Plot
	curve(ResFunc(x, sigma_R, dtt, 0.5), from=-dx, to=dtt+dx, axes=F, ylim=c(0,1), frame=FALSE, xlab='Type of resource', ylab='Abundance', xlim=c(-dx,dtt+dx), lwd=5)
	# Axes
	if (xG){
		axis(1, at=c(-dx,0, dtt/2,dtt,dtt+dx), labels=c("",expression(theta[1]),expression(bar(x)), expression(theta[2]),""))
	}else{
		axis(1, at=c(-dx,0, dtt/2,dtt,dtt+dx), labels=c("",expression(theta[1]),"", expression(theta[2]),""))
	}
	axis(2, at=seq(0,1,by=0.25))
}

## PLOT!
for(i in 1:length(dttlist)){
	pdf(paste('figures/figS1-',toString(i),'.pdf',sep=''), width=8, height=6)
	par(cex=3, mar=c(5,4,0.5,0)+0.2, las=1)
	ResPlot(dttlist[i], xGs[i])
	dev.off()
}







